function init()
	-- NAME & GRAPHIC --
	c.name = "Asteroid6"
	c.gfxFile = "asteroid7.png"

	-- STATS --
	c.mass = 20
	c.stat.maxSpeed = 80--120
	c.stat.thrust = 0
	c.stat.armour = 3
	
	c.invulnerable = 1

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- PRESET COMPONENTS --

	-- MISC --
	c.emitFX = 0
	c.behavior = "inert2"
	c.material = 1--rock debris
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	return 0
end